Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.platform.posix.macosx.natives
Class NetDBImpl

    java.lang.Object
      com.sun.squawk.platform.posix.natives.NetDBImpl
          com.sun.squawk.platform.posix.macosx.natives.NetDBImpl

All Implemented Interfaces:
  Library, NetDB

    public class NetDBImpl

extends NetDBImpl

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.squawk.platform.posix.natives.NetDBImpl
`NetDBImpl.hostentImpl`

Nested classes/interfaces inherited from interface com.sun.squawk.platform.posix.natives.NetDB
`NetDB.hostent`

Field Summary

Fields inherited from class com.sun.squawk.platform.posix.natives.NetDBImpl
`HOST_NOT_FOUND, NO_DATA, NO_RECOVERY, TRY_AGAIN`

Fields inherited from interface com.sun.squawk.platform.posix.natives.NetDB
`INSTANCE`

Constructor Summary
`NetDBImpl()`

Method Summary
`NetDB.hostent` | `gethostbyname(String arg0)` The gethostbyname() function returns a HostEnt structure describing an internet host referenced by name.
`int` | `h_errno()` Return error code for last call to gethostbyname() or gethostbyaddr().
`int` | `initConstInt(int index)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetDBImpl

    public NetDBImpl()

Method Detail

### initConstInt

    public int initConstInt(int index)

### h_errno

    public int h_errno()

  Description copied from interface: `NetDB`
  Return error code for last call to gethostbyname() or gethostbyaddr().

  Returns:
    one of the error codes defined in this class.

### gethostbyname

    public NetDB.hostent gethostbyname(String arg0)

  Description copied from interface: `NetDB`
  The gethostbyname() function returns a HostEnt structure describing an internet host referenced by name.

  Parameters:
    `arg0` - the host name
  Returns:
    the address of struct hostent, or null on error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"